
Infrastructure - Task #738

Story # 912 (Closed): Fix known TODOs in the metacat code base

Make sure Metacat rest service is returning correct HTTP codes

2010-08-09 18:34 - Chad Berkley

Status: Closed Start date: 2010-10-07

Priority: High Due date:  

Assignee: Chad Berkley % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2010.46   

Milestone:  Story Points:  

Product Version: *   

Description

Just do a check to make sure the correct HTTP codes are being set on the response.

History

#1 - 2010-10-06 16:39 - Chad Berkley

- Parent task set to #912

#2 - 2010-10-07 12:28 - Dave Vieglais

- Tracker changed from Bug to Task

- Start date set to 2010-10-07

#3 - 2010-10-14 22:22 - Chad Berkley

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

Went through and added 500 errors anytime an exception is serialized.  All other responses are 200.
